%define oname wxGTK
%define majorminor	2.5
%define name		%{oname}%majorminor
%define version 2.5.3
%define	major		2.5_3
%define release %mkrel 7

%define	libname %mklibname wxgtk %{major}
%define libgl	%mklibname wxgtkgl %{major}

Name:		%{name}
Summary:	GTK+ port of the wxWidgets library
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.wxwindows.org/
# http://wxwindows.sourceforge.net/snapshots/wx-cvs-20030817.tar.bz2
Source:		http://prdownloads.sourceforge.net/wxwindows/%oname-%version.tar.bz2
Patch1:         wxGTK-2.5.2-locale_to_utf8.patch.bz2
Patch2:		wxGTK-2.5.3-gcc3.4.patch.bz2
Patch3:         libtiff-3.5.2-alt-bound.patch.bz2
Patch4:         libtiff-3.5.2-chris-bound.patch.bz2
Patch5:         libtiff-3.5.2-bound-fix2.patch.bz2
Patch6:         libtiff-3.5.x-CAN-2004-0804.patch.bz2
Patch7:         libtiff-3.5.x-iDefense.patch.bz2
Patch8:		wxGTK-2.5.3-multiarch-includes.patch.bz2
Patch9:		wxGTK-2.5.3-va_copy-check-fix.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	libpng-devel
Buildrequires:	zlib-devel
Buildrequires:	gtk+2-devel
Buildrequires:	libjpeg-devel
Buildrequires:	bison, flex
Buildrequires:	libtiff-devel
BuildRequires:  libMesaGLU-devel

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package -n	%libname
Group:		System/Libraries
Summary: 	Base shared library part of wxGTK
Requires:	%name >= %version

%description -n	%libname
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

This package contains the library needed to run programs dynamically
linked with %{name}.



%package -n	%{libname}-devel
Summary:	Header files and development documentation for wxGTK
Group:		Development/C++
Requires:	%{libname} = %version
Requires:	%{libgl} = %version
Provides:	wxGTK-devel = %version-%release
Provides:	wxGTK%{majorminor}-devel = %version-%release
Provides:	libwxgtk%majorminor-devel = %version-%release
Provides:	libwxgtk-devel = %version-%release
Conflicts:	wxGTK6-devel wxGTK2.2-devel wxGTK2.3_1-devel libwxgtk2.4-devel
Conflicts:	libwxBase0-devel

%description -n	%{libname}-devel
Header files for wxGTK, the GTK+ port of the wxWidgets library.

%package -n	%{libgl}
Summary:	GTK+ port of the wxWidgets library, OpenGl add-on
Group:		System/Libraries
Provides:	wxGTK-gl = %version-%release
Provides:	wxGTK%{majorminor}-gl = %version-%release

%description -n	%{libgl}
OpenGl add-on library for wxGTK, the GTK+ port of the wxWidgets library.

%prep
%setup -q -n %oname-%version
%patch1 -p1
%patch2 -p1 -b .gcc3.4
%patch3 -p1 
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .va_copy

%build
autoconf
export LDFLAGS=-L%_prefix/X11R6/%_lib
%configure2_5x \
	--without-odbc \
  	--with-opengl \
	--enable-gtk2 --with-gtk  \
	--without-debug_flag \
  	--without-debug_info \
  	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-zlib=sys \
	--enable-soname \
	--enable-optimise \
	\
	--enable-calendar \
	--enable-wave \
	--enable-fraction \
	--enable-wxprintfv \
	--enable-xresources \
	--enable-controls \
	--enable-tabdialog \
	--enable-msgdlg \
	--enable-dirdlg \
	--enable-numberdlg \
	--enable-splash \
	--enable-textdlg

%make
cd contrib
%make
cd ..
find samples -name .cvsignore -exec rm {} \;

%install
rm -rf %buildroot
%makeinstall
cd contrib
%makeinstall
cd ..
#gw fix broken symlink
ln -sf %_libdir/wx/config/gtk2-ansi-release-%{majorminor} %buildroot%_bindir/wx-config
%find_lang wxstd

# multiarch devel
%multiarch_binaries $RPM_BUILD_ROOT%{_libdir}/wx/config/gtk2-ansi-release-%{majorminor}
#gw this breaks /usr/bin/wx-config
mkdir %buildroot%multiarch_bindir
ln -s %{_libdir}/wx/config/%multiarch_platform/gtk2-ansi-release-%{majorminor} %buildroot%multiarch_bindir/wx-config
%multiarch_includes $RPM_BUILD_ROOT%{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/wx/setup.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/wx-%{majorminor}/wx/defs.h

%clean
rm -rf %buildroot

%post   -n %{libname}	-p /sbin/ldconfig
%postun -n %{libname}	-p /sbin/ldconfig

%post   -n %{libgl}	-p /sbin/ldconfig
%postun -n %{libgl}	-p /sbin/ldconfig


%files -f wxstd.lang
%defattr(-,root,root,-)
%doc *.txt
%_datadir/wx/

%files -n %libname
%defattr(-,root,root,-)
%_libdir/libwx_gtk2_adv-%{majorminor}.so.*
%_libdir/libwx_gtk2_core-%{majorminor}.so.*
%_libdir/libwx_gtk2_html-%{majorminor}.so.*
%_libdir/libwx_base-%majorminor.so.*
%_libdir/libwx_base_net-%majorminor.so.*
%_libdir/libwx_base_xml-%majorminor.so.*
# contribs
%_libdir/libwx_gtk2_animate-%{majorminor}.so.*
%_libdir/libwx_gtk2_deprecated-%{majorminor}.so.*
%_libdir/libwx_gtk2_fl-%{majorminor}.so.*
%_libdir/libwx_gtk2_gizmos-%{majorminor}.so.*
%_libdir/libwx_gtk2_mmedia-%{majorminor}.so.*
%_libdir/libwx_gtk2_ogl-%{majorminor}.so.*
%_libdir/libwx_gtk2_plot-%{majorminor}.so.*
%_libdir/libwx_gtk2_stc-%{majorminor}.so.*
%_libdir/libwx_gtk2_svg-%{majorminor}.so.*
%_libdir/libwx_gtk2_xrc-%{majorminor}.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc samples/*
%{_bindir}/wx-config
%{_bindir}/wxrc*
%{multiarch_bindir}/wx-config
%{_includedir}/wx-%{majorminor}/
%dir %{_libdir}/wx/
%dir %{_libdir}/wx/include/
%dir %{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/
%dir %{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/wx/
%dir %{_libdir}/wx/config
%{_libdir}/wx/config/gtk2-ansi-release-%{majorminor}
%{_libdir}/wx/include/gtk2-ansi-release-%{majorminor}/wx/setup.h
%{_libdir}/libwx*-%majorminor.so
%_datadir/aclocal/*
%multiarch %{_libdir}/wx/config/multiarch-*/gtk2-ansi-release-%{majorminor}
%multiarch %{_libdir}/wx/include/multiarch-*/gtk2-ansi-release-%{majorminor}
%multiarch %{_includedir}/multiarch-*/wx-%{majorminor}/wx/defs.h

%files -n %{libgl}
%defattr(-,root,root,-)
%{_libdir}/libwx_gtk2_gl-%majorminor.so.*

%changelog
* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.5.3-7mdk
- %%mkrel

* Sun Feb 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.5.3-6mdk
- Patch9: fix configure check for va_copy

* Mon Feb  7 2005 Götz Waschk <waschk@linux-mandrake.com> 2.5.3-5mdk
- fix wx-config script for the multiarch mess

* Fri Feb  4 2005 Götz Waschk <waschk@linux-mandrake.com> 2.5.3-4mdk
- fix multiarch config mess

* Mon Jan 31 2005 Pascal Terjan <pterjan@mandrake.org> 2.5.3-3mdk
- Add multiarch devel support

* Thu Jan  7 2005 Pascal Terjan <pterjan@mandrake.org> 2.5.3-2mdk
- MDKSA-2005:002

* Tue Nov  9 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.3-1mdk
- fix file list
- new major
- rediff patches 1,2
- drop patch 0
- New release 2.5.3

* Thu Jul  8 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-5mdk
- lib64 fix
- fix devel package group

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-4mdk
- patch for new g++

* Fri Apr  9 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-3mdk
- fix compatibility with gtk+ 2.4

* Thu Apr  8 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-2mdk
- don't provide wxGTK2.5 in the library package

* Thu Apr  8 2004 Götz Waschk <waschk@linux-mandrake.com> 2.5.1-1mdk
- fix name in the description
- add docs
- fix configure call
- use parallel make
- fix buildrequires
- add contribs
- fix major
- drop unused patch
- fix url
- new version

* Mon Aug 18 2003 Han Boetes <han@linux-mandrake.com> 2.5.0-0.cvs20030817.1mdk
- bump to a more recent snapshot.
- remove trailing whitespace.

* Wed Jul 16 2003 Götz Waschk <waschk@linux-mandrake.com> 2.5.0-0.cvs20030319.6mdk
- devel package conflicts with libwxBase0-devel
- add some dirs to the package
- enable system libtiff

* Wed Jul  9 2003 Götz Waschk <waschk@linux-mandrake.com> 2.5.0-0.cvs20030319.5mdk
- rebuild for new rpm

* Wed May 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.4mdk
- Added explicit conflict between -devel and 2.4's one

* Mon Mar 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.3mdk
- fix problem with localized strings

* Fri Mar 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.2mdk
- small cleanup

* Wed Mar 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.5.0-0.cvs20030319.1mdk
- CVS version

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 2.4.0-3mdk
- fix buildrquires

* Thu Feb 13 2003 Götz Waschk <waschk@linux-mandrake.com> 2.4.0-2mdk
- fix provides
- use the mklibname macro
- disable unicode

* Wed Jan  8 2003 Götz Waschk <waschk@linux-mandrake.com> 2.4.0-1mdk
- major 2.4
- new version

* Wed Sep 18 2002 Götz Waschk <waschk@linux-mandrake.com> 2.3.3-1mdk
- enable gtk2 and unicode support
- change lib naming scheme to libwxgtk%%major and libwxgtkgl%%major
- rearrange files to the default dirs
- remove patch
- new version

* Mon Sep  2 2002 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-7mdk
- fix location of m4 macros (Gabriel Phoenix <gabrieltalks@sympatico.ca>)

* Fri Aug 16 2002 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-6mdk
- gcc 3.2-0.3mdk build
- disable parallel build

* Mon Jul 29 2002 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-5mdk
- rpmlint fixes

* Sat May 18 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-4mdk
- Remove the Conflicts: wxGTK2.2 in the gl package as well

* Fri May 17 2002 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-3mdk
- devel package requires gl
- rebuild for missing gl package
- remove the conflict with wxGTK2.2, wxGTK6

* Tue May 14 2002 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-2mdk
- patch to make it build
- build with gcc3.1

* Fri Apr 26 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-1mdk
- Change package name to wxGTK2.3_1, so that it fits to libname policy
  thx Goetz Waschk <waschk@informatik.uni-rostock.de>
- The packages now also provide wxGTK2.3, so that other packages can easily
  require the correct version of wxGTK
- Dump the unused main package

* Sun Apr 21 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-2mdk
- Fix URL
- Make package provide wxGTK
- Put description and provides of the unused main package into the
  wxGTK%%major package

* Sat Apr 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 2.3.2-1mdk
- 2.3.2
- Don't use --enable-burnt_name, no longer supported
- Build with everything --enable'd, but not with --enable-unicode :(
- Build with the builtin version of libtiff

* Wed Feb 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.9-3mdk
- use shared libs

* Mon Feb 04 2002 Yves Duret <yduret@mandrakesoft.com> 2.2.9-2mdk
- fix libwx_gtk-2.2.so.6 pbs thx Goetz Waschk <waschk@informatik.uni-rostock.de>
- more buildrequires

* Fri Feb 01 2002 Yves Duret <yduret@mandrakesoft.com> 2.2.9-1mdk
- version 2.2.9
- fix bad %%defattr and bad %%files list
- %%setup -q
- use %%buildroot everywhere
- globbing and macros are powerfull
- %%configure in %%build not in %%prep
- buildrequires is for the masses

* Tue Nov 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.2.7-13mdk
- rebuilt with current cooker, linking looks broken

* Thu Nov  8 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-12mdk
- Sample Makefile Problem.

* Wed Nov  7 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-11mdk
- %lang pbs, locale pbs & audacity incompatibility.

* Sat Nov  3 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-10mdk
- fixes some bugs causing by pkg.

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-9mdk
- fixes some problems with libraries (gl)

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-8mdk
- fixes some problem with libraries

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-7mdk
- devel-file-in-non-devel-package for OpenGL

* Fri Nov  2 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-6mdk
- fixes non-versioned files.

* Thu Nov  1 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-5mdk
- bugs fixes.

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-4mdk
- defattr

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.2.7-3mdk
- correct: permissions, no-dependency-on locales-gl, no-documentation
- file-not-in-%lang /usr/share/doc/wxGTK-devel-2.2.7/internat/de/internat.mo, etc...

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-2mdk
- added samples in doc directory for the devel package

* Mon Jun 18 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.2.7-1mdk
- updated to 2.2.7

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- updated to 2.2.5

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- updated to 2.2.4

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1.15-1mdk
- initial specfile
- bzip sources
